## swftools 0.9.0

=== m4/Makefile ===
# simple pmake detecting Makefile

all: clear  test.o
clean: all
install:

CC=@echo "*******************************************************";\
    echo "Your make is broken- try to get yourself a working one.";\
    echo "gmake 3.79.1 or newer should be fine.                  ";\
    echo "*******************************************************";\
    exit 1;exec >/dev/null;echo

clear:
	@rm -f test.c

%.o: %.c

test.c:
	@touch test.c

test.o: test.c

.SUFFIXES: .o .cpp

## swftools 0.9.2%2Bgit20130725

=== debian/control ===
Source: swftools
Maintainer: Christian Welzel <gawain@camlann.de>
Section: utils
Priority: extra
Build-Depends:
 automake,
 autotools-dev,
 debhelper (>= 7.0.50~),
 flex,
 libfontconfig1-dev,
 libfreetype6-dev,
 libgif-dev (>= 5.1.1),
 libjpeg-dev,
 libmp3lame-dev,
 libzzip-dev,
 zlib1g-dev
Standards-Version: 3.9.6
Homepage: http://www.swftools.org/
Vcs-Git: git://github.com/sir-gawain/debian-swftools.git
Vcs-Browser: https://github.com/sir-gawain/debian-swftools

Package: swftools
Architecture: any
Depends: gsfonts, ${misc:Depends}, ${shlibs:Depends}
Suggests: gs-common
Description: Collection of utilities for SWF file manipulation/creation
 SWF Tools is a collection of SWF (Flash) manipulation and creation utilities.
 .
 This package includes: as3compile, font2swf, gif2swf, jpeg2swf, png2swf,
 swfcombine, swfextract, swfdump, swfrender, swfstrings, swfbbox, swfc and
 wav2swf.
 .
  * as3compile is a standalone ActionScript 3.0 compiler. Mostly compatible
    with Flex.
  * font2swf converts font files (TTF, Type1) into SWF.
  * gif2swf converts GIFs into SWF. It is also able to handle animated gifs.
  * jpeg2swf takes one or more JPEG pictures and generates an SWF slideshow.
  * png2swf takes one or more PNG pictures and generates an SWF slideshow.
  * swfcombine is a tool for inserting SWFs into Wrapper SWFs. (Templates)
    E.g. for including the pdf2swf SWFs into some sort of Browsing-SWF.
  * swfextract allows one to extract Movieclips, Sounds, Images etc. from SWF
    files.
  * swfdump prints out various information about SWFs.
  * swfrender converts a swf to an image.
  * swfstrings scans SWFs for text data.
  * swfbbox allows one to readjust SWF bounding boxes.
  * swfc is a tool for creating SWF files from simple script files.
  * wav2swf converts WAV files into SWF.
 .
 This package does not include pdf2swf and avi2swf.

Package: swftools-dbg
Architecture: any
Section: debug
Depends: swftools (= ${binary:Version}), ${misc:Depends}
Description: Collection of utilities for SWF file manipulation/creation (debug)
 SWF Tools is a collection of SWF (Flash) manipulation and creation utilities.
 .
 This package includes: as3compile, font2swf, gif2swf, jpeg2swf, png2swf,
 swfcombine, swfextract, swfdump, swfrender, swfstrings, swfbbox, swfc and
 wav2swf.
 .
  * as3compile is a standalone ActionScript 3.0 compiler. Mostly compatible
    with Flex.
  * font2swf converts font files (TTF, Type1) into SWF.
  * gif2swf converts GIFs into SWF. It is also able to handle animated gifs.
  * jpeg2swf takes one or more JPEG pictures and generates an SWF slideshow.
  * png2swf takes one or more PNG pictures and generates an SWF slideshow.
  * swfcombine is a tool for inserting SWFs into Wrapper SWFs. (Templates)
    E.g. for including the pdf2swf SWFs into some sort of Browsing-SWF.
  * swfextract allows one to extract Movieclips, Sounds, Images etc. from SWF
    files.
  * swfdump prints out various information about SWFs.
  * swfrender converts a swf to an image.
  * swfstrings scans SWFs for text data.
  * swfbbox allows one to readjust SWF bounding boxes.
  * swfc is a tool for creating SWF files from simple script files.
  * wav2swf converts WAV files into SWF.
 .
 This package does not include pdf2swf and avi2swf.
 .
 This package contains the debugging symbols for swftools.

## swftools 0.9.2+ds1

=== debian/changelog ===
swftools (0.9.2+ds1-2) unstable; urgency=low

  * Removed numbering from patch names and sorted alphabetically.
  * Build with LAME support.
  * Updated copyright file.

 -- Christian Welzel <gawain@camlann.de>  Sat, 21 Apr 2012 12:42:54 +0100

swftools (0.9.2+ds1-1) unstable; urgency=low

  * New maintainer (Closes: 583982).
  * New upstream release.
  * Bump Standards Version to 3.9.3.
  * Switch to source format 3.0 (quilt), remove dpatch, rename patch files.
  * Raise dh compat level to 7.
  * debian/rules completely rewritten.
  * Add build-depends on autotools-dev, flex, libjpeg8-dev.
  * Refresh patches.
  * Remove 02_faq.patch (file FAQ removed from upstream source).
  * README.source rewritten.
  * Add build depends on libpoppler-dev and autoconf.
  * Removed conflict and replace with libming =< 1:0.3.0-11.1 as all versions
    in debian are later than this one.
  * Updated watch file.

 -- Christian Welzel <gawain@camlann.de>  Sun, 1 Apr 2012 12:42:54 +0100

swftools (0.9.0-0ubuntu2) lucid; urgency=low

  * Initial release for Lucid
    - patches/05_xpdf-pl4.patch: added pl4 patch to embdded copy of xpdf
  * Fixed spelling error description
  * Updated standards version
  * Added README.source
  * Added misc:Depends
  * Manually purged more files left behind after a make clean
  * Added debian/format
  * Took over as maintainer as this will now reside in partner

 -- Brian Thomason <brian.thomason@canonical.com>  Tue, 06 Apr 2010 17:10:53 -0400

swftools (0.9.0-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #369931)
    - patches/01_manpages: edited to match updated version of src/pdf2swf.1 and
      src/wav2swf.1
    - patches/02_faq: edited to match updated version of FAQ
    - patches/04_makefile: edited to delete the patch on lib/Makefile.in and 
      src/Makefile.in (applied upstream)
    - deleted patch 99_configure_for_python2.5_and_2.6 (applied upstream)
    - debian/swftools.doc: deleted installation of TODO and 
      pdf2swf/HOWTO_pdf2swf as they don't exist anymore

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Thu, 30 Apr 2009 05:22:19 +0200

swftools (0.8.1-2.1ubuntu1) jaunty; urgency=low

  * debian/rules: 
    - Added include of /usr/share/python/python.mk
    - Changed site-package by $(call py_sitename_sh, $@) (LP: #?????)
  * debian/python-rfxswf.install: changed site-packages to *-packages to take
    into account dist-packages directory
  * debian/patches/99_configure_for_python2.5_and_2.6.dpatch: patch configure
    file to take python 2.5 and 2.6 into account

 -- Fabrice Coutadeur <coutadeurf@gmail.com>  Tue, 31 Mar 2009 04:42:00 +0000

swftools (0.8.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add versioned Replaces and Conflicts on libming-util. (Closes: #480378).
  * Remove optional build-depends on libart-dev.
  * Fix libgif4-dev dependency. (Should be libgif-dev).
  * Fix up python package building. (Closes: #509629).
    + Thanks a million to Thomas Viehmann.

 -- Barry deFreese <bdefreese@debian.org>  Tue, 23 Dec 2008 13:58:42 -0500

swftools (0.8.1-2) unstable; urgency=low

  * Fixed the python-rfxswf dependencies. (Closes: #427834).
  * Changed the python-rfxswf to comply with the policy.
  * Move Homepage from package description to source stanza.
  * Replace libungif4-dev build-dep with libgif-dev.
  * Improve watch file regexp.
  * Add debian/pyversions file.
  * Fixed the minus signs in the manpages.
  * Format copyright file for UTF-8.
  * Bump Standards Version to 3.8.0.

 -- Simo Kauppi <swk@nic.fi>  Thu, 10 Dec 2008 20:10:01 +0200

swftools (0.8.1-1) unstable; urgency=low

  * New upstream release 
  * Fixed the debian/copyright to include the exceptions in MD5.c and
    pdf2swf/fonts/*
  * Disabled the failing check for gcc 2.95 compiler

 -- Simo Kauppi <swk@nic.fi>  Sun,  4 Mar 2007 10:02:33 +0200

swftools (0.8.0-1) unstable; urgency=low

  * Initial release. (Closes: #187275: ITP: swftools -- collection of
    SWF (Flash) manipulation and generation - Debian Bug report logs)

 -- Simo Kauppi <swk@nic.fi>  Wed, 31 Jan 2007 17:46:16 +0200

=== debian/control ===
Source: swftools
Section: utils
Priority: extra
Maintainer: Christian Welzel <gawain@camlann.de>
Build-Depends:
 automake,
 autotools-dev,
 debhelper (>= 7.0.50~),
 flex,
 libfontconfig1-dev,
 libfreetype6-dev,
 libgif-dev,
 libjpeg8-dev,
 libmp3lame-dev,
 libt1-dev,
 zlib1g-dev
Standards-Version: 3.9.3
Homepage: http://www.swftools.org/

Package: swftools
Architecture: any
Depends: gsfonts, ${misc:Depends}, ${shlibs:Depends}
Suggests: gs-common
Description: Collection of utilities for SWF file manipulation/creation
 SWF Tools is a collection of SWF (Flash) manipulation and creation utilities.
 .
 This package includes: as3compile, font2swf, gif2swf, jpeg2swf, png2swf,
 swfcombine, swfextract, swfdump, swfrender, swfstrings, swfbbox, swfc and
 wav2swf.
 .
  * as3compile is a standalone ActionScript 3.0 compiler. Mostly compatible
    with Flex.
  * font2swf converts font files (TTF, Type1) into SWF.
  * gif2swf converts GIFs into SWF. It is also able to handle animated gifs.
  * jpeg2swf takes one or more JPEG pictures and generates an SWF slideshow.
  * png2swf takes one or more PNG pictures and generates an SWF slideshow.
  * swfcombine is a tool for inserting SWFs into Wrapper SWFs. (Templates)
    E.g. for including the pdf2swf SWFs into some sort of Browsing-SWF.
  * swfextract allows one to extract Movieclips, Sounds, Images etc. from SWF
    files.
  * swfdump prints out various information about SWFs.
  * swfrender converts a swf to an image.
  * swfstrings scans SWFs for text data.
  * swfbbox allows one to readjust SWF bounding boxes.
  * swfc is a tool for creating SWF files from simple script files.
  * wav2swf converts WAV files into SWF.
 .
 This package does not include pdf2swf and avi2swf.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

SRC_VERSION = $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(\([0-9]\+\):\)\?\(.*\)-.*/\3/p')
ORIG_VERSION = $(shell echo $(SRC_VERSION) | sed -ne 's/+ds1//p')
ORIGTAR = swftools_$(ORIG_VERSION).orig.tar.gz
ORIGDIR = swftools_$(ORIG_VERSION).orig
DEBTAR = swftools_$(SRC_VERSION).orig.tar.gz

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# --enable-warnings sets CFLAGS to
# "-Wall -Wno-unused -Wno-format -Wno-redundant-decls"
# --enable-debug sets CFLAGS to "-O2 -g"
# in the configure script
#ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
#	CFLAGS = -g
#	CFGFLAGS = --enable-warnings
#else
#	CFGFLAGS = --enable-warnings --enable-debug
#endif

%:
	dh $@

clean:
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f core
	rm -f python*-stamp
	rm -f aclocal.m4 config.h config.log lib/action/Makefile swfs/Makefile lib/pdf/Makefile lib/swf/Makefile
	rm -f _pypath.py _pypath.txt
	rm -rf lib/python/usr
#	[ ! -f configure.dist ] || mv configure.dist configure
	dh_autotools-dev_restoreconfig
	dh_clean

override_dh_auto_configure:
	dh_autotools-dev_updateconfig
#	mv configure configure.dist
	aclocal -I m4
	autoconf
	LDFLAGS="-Wl,-z,defs" ./configure --enable-debug --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --disable-poppler $(CFGFLAGS)

#override_dh_auto_build:
#	# Add libart stuff into the Makefile.common
#	cp Makefile.common Makefile.common.bak
#	echo "C += $(LIBART_CFLAGS)" >>Makefile.common
#	echo "CC += $(LIBART_CFLAGS)" >>Makefile.common
#	echo "LIBS += $(LIBART_LIBS)" >>Makefile.common
#	$(MAKE)
#	$(MAKE) -C lib

#	mv Makefile.common.bak Makefile.common

#	$(MAKE) -C src
#	$(MAKE) -C swfs

#	cp Makefile.common Makefile.common.bak
#	$(foreach pp, $(python_versions), $(call build_python,$(pp),$(pp)/$(call py_sitename, $(pp))))
#	mv Makefile.common.bak Makefile.common

override_dh_auto_install:
	dh_auto_install -- prefix=$(CURDIR)/debian/tmp/usr
	mkdir -p debian/tmp/usr/lib
	mkdir -p debian/tmp/usr/include/rfxswf
	/usr/bin/install -m 644 lib/librfxswf.a debian/tmp/usr/lib/
	/usr/bin/install -m 644 config.h lib/rfxswf.h lib/bitio.h lib/drawer.h lib/mem.h lib/types.h debian/tmp/usr/include/rfxswf/
	sed -i s/"\(#include \"\.\)\.\(\/config\.h\"\)"/"\1\2"/ debian/tmp/usr/include/rfxswf/rfxswf.h
#	cp -r lib/python/usr debian/tmp/

get-orig-source:
	uscan --no-conf --force-download --rename --download-current-version --destdir=.
	mkdir -p _unpack
	tar -xzf $(ORIGTAR) -C _unpack
	find _unpack  -maxdepth 1 -name "swftools*" -type d -exec mv \{} _unpack/swftools_$(ORIG_VERSION).orig \;
	rm -rf _unpack/$(ORIGDIR)/lib/pdf/xpdf
	rm -rf _unpack/$(ORIGDIR)/avi2swf
	tar -czf $(DEBTAR) -C _unpack $(ORIGDIR)
	rm -rf _unpack

## swftools 0.9.2+git20130725

=== m4/Makefile ===
--- 
+++ 
@@ -1,8 +1,9 @@
 # simple pmake detecting Makefile
 
 all: clear  test.o
-clean: all
+clean: clear
 install:
+uninstall:
 
 CC=@echo "*******************************************************";\
     echo "Your make is broken- try to get yourself a working one.";\

=== debian/changelog ===
swftools (0.9.2+git20130725-2) unstable; urgency=low

  * Removed build dependency on libt1-dev. (Closes: 732651)
  * Bump Standards Version to 3.9.5.
  * Added debian/gbp.conf.

 -- Christian Welzel <gawain@camlann.de>  Tue, 04 Mar 2014 09:00:00 +0100

swftools (0.9.2+git20130725-1) unstable; urgency=low

  * New version from upstream git: commit b6e946b
    (Closes: 715912, 715961, 716159, 716366).
  * Changed build depends from libjpeg8-dev to libjpeg-dev (Closes: 694700).
  * Bump Standards Version to 3.9.4.
  * Added Vcs-* header to control.
  * Added hardening build flags.
  * Added debug package.

 -- Christian Welzel <gawain@camlann.de>  Sun, 15 Sep 2013 20:42:54 +0200

swftools (0.9.2+ds1-3) unstable; urgency=low

  * Added fix for segfault on i386. (Closes: 690237)

 -- Christian Welzel <gawain@camlann.de>  Mon, 22 Oct 2012 12:42:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: swftools
+Maintainer: Christian Welzel <gawain@camlann.de>
 Section: utils
 Priority: extra
-Maintainer: Christian Welzel <gawain@camlann.de>
 Build-Depends:
  automake,
  autotools-dev,
@@ -10,12 +10,13 @@
  libfontconfig1-dev,
  libfreetype6-dev,
  libgif-dev,
- libjpeg8-dev,
+ libjpeg-dev,
  libmp3lame-dev,
- libt1-dev,
  zlib1g-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://www.swftools.org/
+Vcs-Git: git://github.com/sir-gawain/debian-swftools.git
+Vcs-Browser: https://github.com/sir-gawain/debian-swftools
 
 Package: swftools
 Architecture: any
@@ -46,3 +47,35 @@
   * wav2swf converts WAV files into SWF.
  .
  This package does not include pdf2swf and avi2swf.
+
+Package: swftools-dbg
+Architecture: any
+Section: debug
+Depends: swftools (= ${binary:Version}), ${misc:Depends}
+Description: Collection of utilities for SWF file manipulation/creation (debug)
+ SWF Tools is a collection of SWF (Flash) manipulation and creation utilities.
+ .
+ This package includes: as3compile, font2swf, gif2swf, jpeg2swf, png2swf,
+ swfcombine, swfextract, swfdump, swfrender, swfstrings, swfbbox, swfc and
+ wav2swf.
+ .
+  * as3compile is a standalone ActionScript 3.0 compiler. Mostly compatible
+    with Flex.
+  * font2swf converts font files (TTF, Type1) into SWF.
+  * gif2swf converts GIFs into SWF. It is also able to handle animated gifs.
+  * jpeg2swf takes one or more JPEG pictures and generates an SWF slideshow.
+  * png2swf takes one or more PNG pictures and generates an SWF slideshow.
+  * swfcombine is a tool for inserting SWFs into Wrapper SWFs. (Templates)
+    E.g. for including the pdf2swf SWFs into some sort of Browsing-SWF.
+  * swfextract allows one to extract Movieclips, Sounds, Images etc. from SWF
+    files.
+  * swfdump prints out various information about SWFs.
+  * swfrender converts a swf to an image.
+  * swfstrings scans SWFs for text data.
+  * swfbbox allows one to readjust SWF bounding boxes.
+  * swfc is a tool for creating SWF files from simple script files.
+  * wav2swf converts WAV files into SWF.
+ .
+ This package does not include pdf2swf and avi2swf.
+ .
+ This package contains the debugging symbols for swftools.

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,11 @@
 # from having to guess our platform (since we know it already)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+
+#CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+#CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
+#CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
+#LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
 
 # --enable-warnings sets CFLAGS to
 # "-Wall -Wno-unused -Wno-format -Wno-redundant-decls"
@@ -46,7 +51,8 @@
 #	mv configure configure.dist
 	aclocal -I m4
 	autoconf
-	LDFLAGS="-Wl,-z,defs" ./configure --enable-debug --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --disable-poppler $(CFGFLAGS)
+#	LDFLAGS+="-Wl,-z,defs"
+	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --disable-poppler $(shell dpkg-buildflags --export=configure) 
 
 #override_dh_auto_build:
 #	# Add libart stuff into the Makefile.common
@@ -75,6 +81,9 @@
 	sed -i s/"\(#include \"\.\)\.\(\/config\.h\"\)"/"\1\2"/ debian/tmp/usr/include/rfxswf/rfxswf.h
 #	cp -r lib/python/usr debian/tmp/
 
+override_dh_strip:
+	dh_strip --dbg-package=swftools-dbg
+
 get-orig-source:
 	uscan --no-conf --force-download --rename --download-current-version --destdir=.
 	mkdir -p _unpack
@@ -84,3 +93,32 @@
 	rm -rf _unpack/$(ORIGDIR)/avi2swf
 	tar -czf $(DEBTAR) -C _unpack $(ORIGDIR)
 	rm -rf _unpack
+
+get-git-orig-source: git-checkout
+	$(eval GIT_VERSION := $(shell cd git-tmp && git rev-parse --short HEAD))
+	$(eval GIT_DATE := $(shell cd git-tmp && git show -s --format="%ci" $(GIT_VERSION) | cut -d " " -f 1 | sed -e 's/-//g'))
+	sed -e 's/VERSION=0\.9\.2/VERSION=0\.9\.2\+git$(GIT_DATE)/g' git-tmp/configure.in > git-tmp/configure.in.2
+	mv git-tmp/configure.in.2 git-tmp/configure.in
+	grep -v xpdf git-tmp/release.in > git-tmp/release.in.2
+	sed -e 's/\/lib\/pdf\/aconf\.h \\/\/lib\/pdf\/aconf\.h"/g' git-tmp/release.in.2 > git-tmp/release.in
+	cd git-tmp && aclocal -I m4
+	cd git-tmp && autoconf
+	cd git-tmp && configure
+	cd git-tmp && chmod u+x release
+	cd git-tmp && release
+	mv git-tmp/swftools-0.9.2+git$(GIT_DATE).tar.gz .
+	rm -rf git-tmp
+	mkdir -p _unpack
+	tar -xzf swftools-0.9.2+git$(GIT_DATE).tar.gz -C _unpack
+	find _unpack  -maxdepth 1 -name "swftools*" -type d -exec mv \{} _unpack/swftools_0.9.2+git$(GIT_DATE).orig \;
+	rm -rf _unpack/swftools_0.9.2+git$(GIT_DATE).orig/lib/pdf/xpdf
+	rm -rf _unpack/swftools_0.9.2+git$(GIT_DATE).orig/avi2swf
+	tar -czf swftools_0.9.2+git$(GIT_DATE).orig.tar.gz -C _unpack swftools_0.9.2+git$(GIT_DATE).orig
+	rm -rf _unpack
+	@echo "Git-Version: " $(GIT_VERSION)
+
+git-checkout:
+	mkdir -p git-tmp
+	git clone git://git.swftools.org/swftools git-tmp
+
+.PHONY: git-checkout
